import { get, post, PUBLISH_SERVICE, CITY_SERVICE } from '@/services/index';

// 模板管理接口
export const GetMessageTemplate = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageTemplate`, param);
export const InsertMessageTemplate = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/InsertMessageTemplate`, param);
export const UpdateMessageTemplate = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/UpdateMessageTemplate`, param);
export const DeleteMessageTemplate = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DeleteMessageTemplate`, param);
export const GetThirdpartyTemplates = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetThirdpartyTemplates`, param);
// 方案管理接口
export const GetMessageConfigList = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageConfigList`, param);
export const InsertMessageConfig = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/InsertMessageConfig`, param);
export const UpdateMessageConfig = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/UpdateMessageConfig`, param);
export const DeleteMessageConfig = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DeleteMessageConfig`, param);
export const GetMessageVersion = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageVersion`, param);
export const GetMsgTypeList = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMsgTypeList`, param);
export const TestPush = param => post(`${PUBLISH_SERVICE}/MessageConfig/TestPush`, param);
export const AddIISAgentConfig = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/AddIISAgentConfig`, param);
export const DeleteIISAgentConfig = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DeleteIISAgentConfig`, param);
export const GetIISAgentConfig = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetIISAgentConfig`, param);
// 组件接口

export const RoleGroupList = param => get(`${PUBLISH_SERVICE}/UserCenter/RoleGroupList`, param);
export const GetGroupUserTree = param =>
  get(`${PUBLISH_SERVICE}/UserCenter/GetGroupUserTree`, param);
